Recommended update for resource-agents

SUSE Recommended Update: Recommended update for resource-agents
Announcement ID: SUSE-RU-2019:1976-1
Rating: moderate
References: #1114855 #1125138 #1131793 #1133337 #1133962 #1137038 #1137231 #1140874
Affected Products:
  • SUSE Linux Enterprise High Availability 15

An update that has 8 recommended fixes can now be installed.

Description:

This update for resource-agents fixes the following issues:

  • The version of resource-agents was updated to 4.3.018.a7fb5035 and has addressed a couple of bugs. Some of the bugs are:

* L3: Pacemaker SST databases to /dev/null (bsc#1131793) [waiting for a customer friendly description] * azure-events: changed the default log level to 'warning' (bsc#1137038, bsc#1137231) * CTDB: Fixes the version string with vendor trailer comparison (bsc#1133337) * Fixes an issue where aws-vpc-move-ip failed when a VM has more than one network interface (bsc#1133962)
Please refer to this rpm's changelog to obtain a full list of all changes.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise High Availability 15:
    zypper in -t patch SUSE-SLE-Product-HA-15-2019-1976=1

Package List:

  • SUSE Linux Enterprise High Availability 15 (aarch64 ppc64le s390x x86_64):
    • ldirectord-4.3.018.a7fb5035-3.23.1
    • resource-agents-4.3.018.a7fb5035-3.23.1
    • resource-agents-debuginfo-4.3.018.a7fb5035-3.23.1
    • resource-agents-debugsource-4.3.018.a7fb5035-3.23.1
  • SUSE Linux Enterprise High Availability 15 (noarch):
    • monitoring-plugins-metadata-4.3.018.a7fb5035-3.23.1

References: